<cfcomponent extends="shape" output="false">

	<cffunction name="draw" access="public" output="false" returntype="void">
		<cfargument name="img" type="any" required="true" />
		<cfset var m = measure() />
		<cfset var txt = getLabel() />
<!---
<cfset msg("#txt# (#m.width# x #m.height#)") />
--->
		<cfset resetColors(img) />
		<cfset imageDrawRect(img, m.width / -2, 0, m.width, m.height) />
		<cfset imageDrawText(img, txt, getTextWidth(txt) / -2, (m.height + getTextHeight()) / 2) />
	</cffunction>



	<cffunction name="measureInternal" access="private" output="false" returntype="struct">
		<cfset var s = {
			width = max(getLabelWidth(), BOX_WIDTH),
			height = BOX_HEIGHT
		} />
		<cfreturn s />
	</cffunction>

</cfcomponent>